begin
  SDO_RDF_INFERENCE.DROP_RULES_INDEX(
    INDEX_NAME => 'artikel_rb_idx'
  );
end;
/

begin
  SDO_RDF_INFERENCE.DROP_RULEBASE(
    RULEBASE_NAME => 'artikel_rb'
  );
end;
/

begin
  SDO_RDF_INFERENCE.CREATE_RULEBASE(
    RULEBASE_NAME => 'artikel_rb'
  );
end;
/

INSERT INTO mdsys.rdfr_artikel_rb VALUES(
  'relevant_rule',
  '(?x r:subject ?y) (?z h:supports ?y)',
  NULL,
  '(?x h:relevantFor ?z)',
  SDO_RDF_Aliases(
    SDO_RDF_Alias('r','http://purl.org/dc/elements/1.1/'),
    SDO_RDF_Alias('h','http://www.heise.de/rdf/')
  )
);
begin
  SDO_RDF_INFERENCE.CREATE_RULES_INDEX(
    INDEX_NAME_IN => 'artikel_rb_idx',
    MODELS_IN     => SDO_RDF_MODELS('artikel'),
    RULEBASES_IN  => SDO_RDF_RULEBASES('RDFS','artikel_rb')
  );
end;
/
